### Function

# GLib Variant new_variant

since: 2.24

#### Declaration

    GVariant*
    g_variant_new_variant (
      GVariant* value
    )

#### Description

Boxes `value`. The result is a `GVariant` instance representing a variant containing the original value.

If `child` is a floating reference (see g_variant_ref_sink()), the new instance takes ownership of `child`.

Available since: 2.24

#### Parameters

`value`

  Type: `GVariant`

  A `GVariant` instance.

  The data is owned by the caller of the function.

#### Return value

Type: `GVariant`

A floating reference to a new variant `GVariant` instance.

The data is owned by the called function.